button_mouseClick( objectID );

/**
 *  Funções do Usuário  ---------------------------------------------------  //
 */
if( objectID.indexOf( 'button' ) != -1  )
{
  if( button_enabled[ getButton_index( objectID ) ] )
  {
    button1_mouseClick( objectID );
    button2_mouseClick( objectID );
    button3_mouseClick( objectID );
    button4_mouseClick( objectID );
    button5_mouseClick( objectID );

  }// End if( button_enabled[ getButton_index( objectID ) ] )
}// End if( objectID.indexOf( 'button' ) != -1 )



function button1_mouseClick( objID )
{
  if( objID.indexOf( 'button1' ) != -1 )
  {
    setButton_visible( 'button4', 'hidden' );
    setButton_click( 'button3' );
    setButton_enabled( 'button2', true );
    setButton_color( 'button3', 'FF6600' );
    setButton_caption( 'button3', 'testando' );
    getButton_caption( 'button5' );

  }// End if( objID.indexOf( 'button1' ) != -1 )
}// End function button_mouseClick( objectID )

function button2_mouseClick( objID )
{
  if( objID.indexOf( 'button2' ) != -1 )
  {
    setLabel_color('label1', 'FF0000');
    
  }// End if( objID.indexOf( 'button2' ) != -1 )
}// End function button_mouseClick( objectID )

function button3_mouseClick( objID )
{
  if( objID.indexOf( 'button3' ) != -1 )
  {
    setLabel_bold( 'label1' );

  }// End if( objID.indexOf( 'button3' ) != -1 )
}// End function button_mouseClick( objectID )

function button4_mouseClick( objID )
{
  if( objID.indexOf( 'button4' ) != -1 )
  {
    setLabel_visible( 'label1' );

  }// End if( objID.indexOf( 'button4' ) != -1 )
}// End function button_mouseClick( objectID )

function button5_mouseClick( objID )
{
  if( objID.indexOf( 'button5' ) != -1 )
  {
//    if( objID.focus )
//    {
    alert( objID + '' +"Foco" );
//    }else
//    {
//    }
  }// End if( objID.indexOf( 'button4' ) != -1 )
}// End function button_mouseClick( objectID )


  /**
   * Metodo setButton_click
   * Seta o click para qualquer button
   */
  function setButton_click( nObj )
  {
    if( objID.indexOf( 'button' ) != -1 &&
        button_enabled[ getButton_index( nObj ) ]
      )
    {
      cmd = nObj + "_mouseClick( '" + nObj + "' );";
      eval( cmd );
    }// End if( objID.indexOf( 'button' ) != -1 &&
  }// End function setButton_click( nObj )

  
